import request from "@/utils/request";

// 获取列表数据
export async function handleGetServerPartShopNewList(params?: any) {

    const data = await request(`/BaseInfo/GetServerPartShopNewList`, {
      method: 'GET',
      params,
    });
  
    if (data.Result_Code !== 100) {
      return []
    }
  
    return data.Result_Data.List;
  
  }


  // 获取门店详情
  export async function handleGetServerPartShopNewDetail(params?: any) {

    const data = await request(`/BaseInfo/GetServerPartShopNewDetail`, {
      method: 'GET',
      params,
    });
  
    if (data.Result_Code !== 100) {
      return []
    }
  
    return data.Result_Data;
  
  }


  // 更新门店数据
  export async function handleSynchroServerPartShopNew(params?: any) {

    const data = await request(`/BaseInfo/SynchroServerPartShopNew`, {
      method: 'POST',
      data: params,
    });
  
    if (data.Result_Code !== 100) {
      return []
    }
  
    return data;
  
  }


  // 更新状态
  export async function handleModifyShopState(params?: any) {

    const data = await request(`/BaseInfo/ModifyShopState`, {
      method: 'POST',
      data: params,
    });
  
    if (data.Result_Code !== 100) {
      return []
    }
  
    return data;
  
  }